import requests

import gzip
import shutil
import os


urls = [
    "http://yann.lecun.com/exdb/mnist/train-images-idx3-ubyte.gz",
    "http://yann.lecun.com/exdb/mnist/train-labels-idx1-ubyte.gz",
    "http://yann.lecun.com/exdb/mnist/t10k-images-idx3-ubyte.gz",
    "http://yann.lecun.com/exdb/mnist/t10k-labels-idx1-ubyte.gz",
]


def download_data(data_path):
    for url in urls:
        filename = url.split("/")[5]
        file_path = os.path.join(data_path, filename)
        r = requests.get(url)

        with open(file_path, "wb") as f:
            f.write(r.content)

        with gzip.open(file_path, "rb") as f_in:
            with open(file_path[:-3], "wb") as f_out:
                shutil.copyfileobj(f_in, f_out)
